Bug 227742 - Set Caption preferences in the UI process
Summary: Set Caption preferences in the UI process
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks: 227937
  Show dependency treegraph
 
Reported: 2021-07-07 03:43 PDT by Per Arne Vollan
Modified: 2021-07-13 20:57 PDT (History)
8 users (show)

See Also:


Attachments
Patch (27.28 KB, patch)
2021-07-07 07:04 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (27.28 KB, patch)
2021-07-07 08:15 PDT, Per Arne Vollan
eric.carlson: review+
Details | Formatted Diff | Diff
Patch (26.85 KB, patch)
2021-07-08 00:09 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2021-07-07 03:43:17 PDT
Due to sandbox restrictions in the WebContent process, Caption preferences should be set in the UI process.
Comment 1 Per Arne Vollan 2021-07-07 03:45:33 PDT
<rdar://79040526>
Comment 2 Per Arne Vollan 2021-07-07 07:04:53 PDT
Created attachment 433026 [details]
Patch
Comment 3 Per Arne Vollan 2021-07-07 08:15:20 PDT
Created attachment 433029 [details]
Patch
Comment 4 Eric Carlson 2021-07-07 08:35:44 PDT
Comment on attachment 433029 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=433029&action=review

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:5527
> -		FD3160BF12B0272A00C1A359 /* AudioFileReaderMac.h in Headers */ = {isa = PBXBuildFile; fileRef = FD3160B912B0272A00C1A359 /* AudioFileReaderMac.h */; };
> +		FD3160BF12B0272A00C1A359 /* (null) in Headers */ = {isa = PBXBuildFile; };

Nit: this seems unintentional

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:31619
> +				FD3160BF12B0272A00C1A359 /* (null) in Headers */,

Ditto
Comment 5 Per Arne Vollan 2021-07-07 10:53:17 PDT
(In reply to Eric Carlson from comment #4)
> Comment on attachment 433029 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=433029&action=review
> 
> > Source/WebCore/WebCore.xcodeproj/project.pbxproj:5527
> > -		FD3160BF12B0272A00C1A359 /* AudioFileReaderMac.h in Headers */ = {isa = PBXBuildFile; fileRef = FD3160B912B0272A00C1A359 /* AudioFileReaderMac.h */; };
> > +		FD3160BF12B0272A00C1A359 /* (null) in Headers */ = {isa = PBXBuildFile; };
> 
> Nit: this seems unintentional
> 
> > Source/WebCore/WebCore.xcodeproj/project.pbxproj:31619
> > +				FD3160BF12B0272A00C1A359 /* (null) in Headers */,
> 
> Ditto

Will fix.

Thanks for reviewing!
Comment 6 Per Arne Vollan 2021-07-08 00:09:23 PDT
Created attachment 433123 [details]
Patch
Comment 7 Per Arne Vollan 2021-07-08 04:38:32 PDT
(In reply to Per Arne Vollan from comment #5)
> (In reply to Eric Carlson from comment #4)
> > Comment on attachment 433029 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=433029&action=review
> > 
> > > Source/WebCore/WebCore.xcodeproj/project.pbxproj:5527
> > > -		FD3160BF12B0272A00C1A359 /* AudioFileReaderMac.h in Headers */ = {isa = PBXBuildFile; fileRef = FD3160B912B0272A00C1A359 /* AudioFileReaderMac.h */; };
> > > +		FD3160BF12B0272A00C1A359 /* (null) in Headers */ = {isa = PBXBuildFile; };
> > 
> > Nit: this seems unintentional
> > 
> > > Source/WebCore/WebCore.xcodeproj/project.pbxproj:31619
> > > +				FD3160BF12B0272A00C1A359 /* (null) in Headers */,
> > 
> > Ditto
> 
> Will fix.
> 

These files seem to have been removed earlier, and Xcode removed the references in the project file.

> Thanks for reviewing!
Comment 8 EWS 2021-07-08 04:46:29 PDT
Committed r279720 (239508@main): <https://commits.webkit.org/239508@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433123 [details].